<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvTable - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <style>
    /* stylelint-disable */
    table {
      font-family: arial, sans-serif;
      border-collapse: collapse;
      width: 100%;
    }

    td, th {
      border: 1px solid #dddddd;
      text-align: left;
      padding: 8px;
    }

    tr:nth-child(even) {
      background-color: #dddddd;
    }
  </style>

</head>
<body>
  <div class="demo-component">
    <div class="area-component">
      <h1>Table</h1>
      <h3>Default</h3>
      <nv-table>
        <nv-thead>
          <nv-th>Company</nv-th>
          <nv-th>Contact</nv-th>
          <nv-th>Country</nv-th>
        </nv-thead>
        <nv-tbody>
          <nv-tr>
            <nv-td>Alfreds Futterkiste</nv-td>
            <nv-td>Maria Anders</nv-td>
            <nv-td>Germany</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Cennv-tro comercial Moctezuma</nv-td>
            <nv-td>Francisco Chang</nv-td>
            <nv-td>Mexico</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Ernst Handel</nv-td>
            <nv-td>Roland Mendel</nv-td>
            <nv-td>Ausnv-tria</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Island Trading</nv-td>
            <nv-td>Helen Bennett</nv-td>
            <nv-td>UK</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Laughing Bacchus Winecellars</nv-td>
            <nv-td>Yoshi Tannamuri</nv-td>
            <nv-td>Canada</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Magazzini Alimentari Riuniti</nv-td>
            <nv-td>Giovanni Rovelli</nv-td>
            <nv-td>Italy</nv-td>
          </nv-tr>
        </nv-tbody>
      </nv-table>
    </div>

    <!-- Dark theme -->

    <div class="area-component">
      <h3>Dark theme</h3>
      <nv-table dark>
        <nv-thead>
          <nv-th>Company</nv-th>
          <nv-th>Contact</nv-th>
          <nv-th>Country</nv-th>
        </nv-thead>
        <nv-tbody>
          <nv-tr>
            <nv-td>Alfreds Futterkiste</nv-td>
            <nv-td>Maria Anders</nv-td>
            <nv-td>Germany</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Cennv-tro comercial Moctezuma</nv-td>
            <nv-td>Francisco Chang</nv-td>
            <nv-td>Mexico</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Ernst Handel</nv-td>
            <nv-td>Roland Mendel</nv-td>
            <nv-td>Ausnv-tria</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Island Trading</nv-td>
            <nv-td>Helen Bennett</nv-td>
            <nv-td>UK</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Laughing Bacchus Winecellars</nv-td>
            <nv-td>Yoshi Tannamuri</nv-td>
            <nv-td>Canada</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Magazzini Alimentari Riuniti</nv-td>
            <nv-td>Giovanni Rovelli</nv-td>
            <nv-td>Italy</nv-td>
          </nv-tr>
        </nv-tbody>
      </nv-table>
    </div>

    <!-- Striped style. -->
    <div class="area-component">
      <h3>Striped</h3>
      <nv-table striped>
        <nv-thead>
          <nv-th>Company</nv-th>
          <nv-th>Contact</nv-th>
          <nv-th>Country</nv-th>
        </nv-thead>
        <nv-tbody>
          <nv-tr>
            <nv-td>Alfreds Futterkiste</nv-td>
            <nv-td>Maria Anders</nv-td>
            <nv-td>Germany</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Cennv-tro comercial Moctezuma</nv-td>
            <nv-td>Francisco Chang</nv-td>
            <nv-td>Mexico</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Ernst Handel</nv-td>
            <nv-td>Roland Mendel</nv-td>
            <nv-td>Ausnv-tria</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Island Trading</nv-td>
            <nv-td>Helen Bennett</nv-td>
            <nv-td>UK</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Laughing Bacchus Winecellars</nv-td>
            <nv-td>Yoshi Tannamuri</nv-td>
            <nv-td>Canada</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Magazzini Alimentari Riuniti</nv-td>
            <nv-td>Giovanni Rovelli</nv-td>
            <nv-td>Italy</nv-td>
          </nv-tr>
        </nv-tbody>
      </nv-table>

      <nv-table striped dark>
        <nv-thead>
          <nv-th>Company</nv-th>
          <nv-th>Contact</nv-th>
          <nv-th>Country</nv-th>
        </nv-thead>
        <nv-tbody>
          <nv-tr>
            <nv-td>Alfreds Futterkiste</nv-td>
            <nv-td>Maria Anders</nv-td>
            <nv-td>Germany</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Cennv-tro comercial Moctezuma</nv-td>
            <nv-td>Francisco Chang</nv-td>
            <nv-td>Mexico</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Ernst Handel</nv-td>
            <nv-td>Roland Mendel</nv-td>
            <nv-td>Ausnv-tria</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Island Trading</nv-td>
            <nv-td>Helen Bennett</nv-td>
            <nv-td>UK</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Laughing Bacchus Winecellars</nv-td>
            <nv-td>Yoshi Tannamuri</nv-td>
            <nv-td>Canada</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Magazzini Alimentari Riuniti</nv-td>
            <nv-td>Giovanni Rovelli</nv-td>
            <nv-td>Italy</nv-td>
          </nv-tr>
        </nv-tbody>
      </nv-table>
    </div>

    <div class="area-component">
      <nv-table dark-head>
        <nv-thead>
          <nv-th>Company</nv-th>
          <nv-th>Contact</nv-th>
          <nv-th>Country</nv-th>
        </nv-thead>
        <nv-tbody>
          <nv-tr>
            <nv-td>Alfreds Futterkiste</nv-td>
            <nv-td>Maria Anders</nv-td>
            <nv-td>Germany</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Cennv-tro comercial Moctezuma</nv-td>
            <nv-td>Francisco Chang</nv-td>
            <nv-td>Mexico</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Ernst Handel</nv-td>
            <nv-td>Roland Mendel</nv-td>
            <nv-td>Ausnv-tria</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Island Trading</nv-td>
            <nv-td>Helen Bennett</nv-td>
            <nv-td>UK</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Laughing Bacchus Winecellars</nv-td>
            <nv-td>Yoshi Tannamuri</nv-td>
            <nv-td>Canada</nv-td>
          </nv-tr>
          <nv-tr>
            <nv-td>Magazzini Alimentari Riuniti</nv-td>
            <nv-td>Giovanni Rovelli</nv-td>
            <nv-td>Italy</nv-td>
          </nv-tr>
        </nv-tbody>
      </nv-table>
    </div>

  <!-- Bordered style. -->
  <div class="area-component">
    <h3>Bordered</h3>
    <nv-table bordered>
      <nv-thead>
        <nv-th>Company</nv-th>
        <nv-th>Contact</nv-th>
        <nv-th>Country</nv-th>
      </nv-thead>
      <nv-tbody>
        <nv-tr>
          <nv-td>Alfreds Futterkiste</nv-td>
          <nv-td>Maria Anders</nv-td>
          <nv-td>Germany</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Cennv-tro comercial Moctezuma</nv-td>
          <nv-td>Francisco Chang</nv-td>
          <nv-td>Mexico</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Ernst Handel</nv-td>
          <nv-td>Roland Mendel</nv-td>
          <nv-td>Ausnv-tria</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Island Trading</nv-td>
          <nv-td>Helen Bennett</nv-td>
          <nv-td>UK</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Laughing Bacchus Winecellars</nv-td>
          <nv-td>Yoshi Tannamuri</nv-td>
          <nv-td>Canada</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Magazzini Alimentari Riuniti</nv-td>
          <nv-td>Giovanni Rovelli</nv-td>
          <nv-td>Italy</nv-td>
        </nv-tr>
      </nv-tbody>
    </nv-table>

    <nv-table bordered dark>
      <nv-thead>
        <nv-th>Company</nv-th>
        <nv-th>Contact</nv-th>
        <nv-th>Country</nv-th>
      </nv-thead>
      <nv-tbody>
        <nv-tr>
          <nv-td>Alfreds Futterkiste</nv-td>
          <nv-td>Maria Anders</nv-td>
          <nv-td>Germany</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Cennv-tro comercial Moctezuma</nv-td>
          <nv-td>Francisco Chang</nv-td>
          <nv-td>Mexico</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Ernst Handel</nv-td>
          <nv-td>Roland Mendel</nv-td>
          <nv-td>Ausnv-tria</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Island Trading</nv-td>
          <nv-td>Helen Bennett</nv-td>
          <nv-td>UK</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Laughing Bacchus Winecellars</nv-td>
          <nv-td>Yoshi Tannamuri</nv-td>
          <nv-td>Canada</nv-td>
        </nv-tr>
        <nv-tr>
          <nv-td>Magazzini Alimentari Riuniti</nv-td>
          <nv-td>Giovanni Rovelli</nv-td>
          <nv-td>Italy</nv-td>
        </nv-tr>
      </nv-tbody>
    </nv-table>
  </div>
  </div>
</body>
</html>
 